Cyberduck Mountain Duck CLI

#10546 closed enhancement (wontfix)

Read options from .aws/config in addition to .aws/credentials

Reported by: gbws2018 Owned by: dkocher
Priority: normal Milestone: 7.0
Component: s3 Version: 6.8.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi,

I have noticed quite an annoying issue with the current implementation of S3 + STS + mfa token. It is working but only if all the config is inside .aws/credentials and ignores totally .aws/config. This goes against how the AWS cli is implemented.

AFAIK .aws/credentials is only supposed to contain the keypair and .aws/config is where the source_profile, mfa_serial, role_arn is stored. Cyberduck is only working if all the information is stored inside .aws/credentials.

Gregory

Change History (6)

comment:1 Changed on Nov 29, 2018 at 7:44:37 AM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher
  • Summary changed from S3 STS looking in .aws/credentials instead of .aws/config to STS looking in .aws/credentials instead of .aws/config

comment:2 Changed on Nov 29, 2018 at 7:56:59 AM by dkocher

  • Milestone set to 7.0
  • Status changed from new to assigned

comment:3 Changed on Nov 29, 2018 at 7:57:46 AM by dkocher

The AWS CLI uses two files to keep the sensitive credential information (in ~/.aws/credentials) separated from the less sensitive configuration options (in ~/.aws/config).

Last edited on Jan 13, 2019 at 9:07:53 PM by dkocher (previous) (diff)

comment:4 Changed on Nov 29, 2018 at 8:22:10 AM by dkocher

  • Summary changed from STS looking in .aws/credentials instead of .aws/config to Read options from .aws/config in addition to .aws/credentials
  • Type changed from defect to enhancement

comment:5 Changed on Nov 29, 2018 at 9:36:09 AM by dkocher

"Found the legacy config profiles file at [~/aws/config]. Please move it to the latest default location [~/.aws/credentials]."

comment:6 Changed on May 31, 2019 at 1:26:40 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.